Debian Bug report logs - #605562
installation-report: Installation from usb stick lead to unbootable system (und unbootable usb stick)

version graph

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Alexander Reichle-Schmehl <tolimar@debian.org>

Date: Wed, 1 Dec 2010 10:09:02 UTC

Severity: serious

Tags: d-i, sid, squeeze

Merged with 568529, 579519, 589823, 603942, 604992, 609314

Found in versions grub-installer/0.50, grub-installer/1.49, grub-installer/1.56, grub-installer/1.57, grub-installer/1.58

Fixed in version grub-installer/1.59

Done: Otavio Salvador <otavio@ossystems.com.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#605562; Package installation-reports. (Wed, 01 Dec 2010 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 01 Dec 2010 10:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-report: Installation from usb stick lead to unbootable system (und unbootable usb stick)
Date: Wed, 01 Dec 2010 11:05:01 +0100
Package: installation-reports
Version: 2.43
Severity: serious
Tags: d-i
Justification: Renders System unusable

-- Package-specific info:

Boot method: USB stick
Image version: beta1 AMD64
Date: 2010-11-29

Machine: Dell Precision T3400
Partitions:
Filesystem    Type   1K-blocks      Used Available Use% Mounted on
/dev/sdc1     ext4   560031360  56757468 497584304  11% /
tmpfs        tmpfs     4066232         0   4066232   0% /lib/init/rw
udev         tmpfs     4059248       220   4059028   1% /dev
tmpfs        tmpfs     4066232         0   4066232   0% /dev/shm


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [E]
Overall install:        [E]

Comments/Problems:

I booted from usb stick (which was presented as /dev/sda) on a hardware
raid (/dev/sdb).  After the system was successfully installed, the
bootloader was installed to the mbr of /dev/sda (the usb stick), not my
hard disc (/dev/sdb).

Of course the system didn't booted, when the usb stick was removed, also,
it didn't boot, when I inserted the stick again, just displaying "GRUB"
(IIRC).  When I prepared d-i again on the stick, booted again into rescue
mode and installed grub into /dev/sdb the system boots as expected.

-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.

==============================================
Installer lsb-release:
==============================================
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
DISTRIB_RELEASE="6.0 (squeeze) - installer build 20101020"
X_INSTALLATION_MEDIUM=hd-media

==============================================
Installer hardware-summary:
==============================================
uname -a: Linux pc2177 2.6.32-5-amd64 #1 SMP Fri Oct 15 00:56:30 UTC 2010 x86_64 GNU/Linux
lspci -knn: 00:00.0 Host bridge [0600]: Intel Corporation 82X38/X48 Express DRAM Controller [8086:29e0]
lspci -knn: 	Subsystem: Dell Device [1028:0214]
lspci -knn: 00:01.0 PCI bridge [0604]: Intel Corporation 82X38/X48 Express Host-Primary PCI Express Bridge [8086:29e1]
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:06.0 PCI bridge [0604]: Intel Corporation 82X38/X48 Express Host-Secondary PCI Express Bridge [8086:29e9]
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 02)
lspci -knn: 	Subsystem: Dell Device [1028:0214]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 02)
lspci -knn: 	Subsystem: Dell Device [1028:0214]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 02)
lspci -knn: 	Subsystem: Dell Device [1028:0214]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 02)
lspci -knn: 	Subsystem: Dell Device [1028:0214]
lspci -knn: 	Kernel driver in use: ehci_hcd
lspci -knn: 00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 02)
lspci -knn: 	Subsystem: Dell Device [1028:0214]
lspci -knn: 00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 02)
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:1c.5 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 6 [8086:294a] (rev 02)
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 02)
lspci -knn: 	Subsystem: Dell Device [1028:0214]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 02)
lspci -knn: 	Subsystem: Dell Device [1028:0214]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 02)
lspci -knn: 	Subsystem: Dell Device [1028:0214]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 02)
lspci -knn: 	Subsystem: Dell Device [1028:0214]
lspci -knn: 	Kernel driver in use: ehci_hcd
lspci -knn: 00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 92)
lspci -knn: 00:1f.0 ISA bridge [0601]: Intel Corporation 82801IR (ICH9R) LPC Interface Controller [8086:2916] (rev 02)
lspci -knn: 00:1f.2 SATA controller [0106]: Intel Corporation 82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA AHCI Controller [8086:2922] (rev 02)
lspci -knn: 	Subsystem: Dell Device [1028:0214]
lspci -knn: 	Kernel driver in use: ahci
lspci -knn: 00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller [8086:2930] (rev 02)
lspci -knn: 	Subsystem: Dell Device [1028:0214]
lspci -knn: 01:00.0 VGA compatible controller [0300]: nVidia Corporation G86 [Quadro NVS 290] [10de:042f] (rev a1)
lspci -knn: 	Subsystem: nVidia Corporation Device [10de:0492]
lspci -knn: 03:00.0 SCSI storage controller [0100]: LSI Logic / Symbios Logic SAS1068E PCI-Express Fusion-MPT SAS [1000:0058] (rev 08)
lspci -knn: 	Subsystem: Dell Device [1028:1f0e]
lspci -knn: 	Kernel driver in use: mptsas
lspci -knn: 04:00.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme BCM5754 Gigabit Ethernet PCI Express [14e4:167a] (rev 02)
lspci -knn: 	Subsystem: Dell Device [1028:0214]
lspci -knn: 	Kernel driver in use: tg3
usb-list: 
usb-list: Bus 01 Device 01: EHCI Host Controller [1d6b:0002]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-amd64 ehci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 01 Device 02: Cruzer Micro [0781:5151]
usb-list:    Level 01 Parent 01 Port 03  Class 00(>ifc ) Subclass 00 Protocol 00
usb-list:    Manufacturer: SanDisk Corporation
usb-list:    Interface 00: Class 08(mstor) Subclass 06 Protocol 50 Driver usb-storage
usb-list: 
usb-list: Bus 02 Device 01: EHCI Host Controller [1d6b:0002]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-amd64 ehci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 03 Device 01: UHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-amd64 uhci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 04 Device 01: UHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-amd64 uhci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 05 Device 01: UHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-amd64 uhci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 06 Device 01: UHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-amd64 uhci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 07 Device 01: UHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-amd64 uhci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 07 Device 02: Dell QuietKey Keyboard [413c:2106]
usb-list:    Level 01 Parent 01 Port 00  Class 00(>ifc ) Subclass 00 Protocol 00
usb-list:    Manufacturer: DELL
usb-list:    Interface 00: Class 03(HID  ) Subclass 01 Protocol 01 Driver usbhid
usb-list: 
usb-list: Bus 07 Device 03: DELL Laser Mouse [0461:4d51]
usb-list:    Level 01 Parent 01 Port 01  Class 00(>ifc ) Subclass 00 Protocol 00
usb-list:    Interface 00: Class 03(HID  ) Subclass 01 Protocol 02 Driver usbhid
usb-list: 
usb-list: Bus 08 Device 01: UHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-amd64 uhci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
lsmod: Module                  Size  Used by
lsmod: btrfs                 375622  0 
lsmod: zlib_deflate           17746  1 btrfs
lsmod: hfsplus                65270  0 
lsmod: hfs                    37455  0 
lsmod: minix                  21197  0 
lsmod: msdos                   6202  0 
lsmod: ufs                    56474  0 
lsmod: qnx4                    6194  0 
lsmod: ntfs                  162796  0 
lsmod: battery                 4998  0 
lsmod: dm_mod                 53770  0 
lsmod: md_mod                 73808  0 
lsmod: xfs                   436941  0 
lsmod: exportfs                3170  1 xfs
lsmod: jfs                   140105  0 
lsmod: ext4                  289033  1 
lsmod: jbd2                   67015  1 ext4
lsmod: crc16                   1319  1 ext4
lsmod: crc32c                  2560  1 
lsmod: libcrc32c               1074  1 btrfs
lsmod: tg3                    95663  0 
lsmod: libphy                 14054  1 tg3
lsmod: nls_utf8                1208  2 
lsmod: nls_cp437               5817  1 
lsmod: loop                   11799  2 
lsmod: isofs                  27480  1 
lsmod: vfat                    7884  1 
lsmod: fat                    40038  2 msdos,vfat
lsmod: reiserfs              194156  0 
lsmod: ext3                  106518  0 
lsmod: jbd                    37085  1 ext3
lsmod: ext2                   52969  0 
lsmod: mbcache                 5050  3 ext4,ext3,ext2
lsmod: fan                     3346  0 
lsmod: sd_mod                 29777  4 
lsmod: crc_t10dif              1276  1 sd_mod
lsmod: usbhid                 33292  0 
lsmod: hid                    62857  1 usbhid
lsmod: usb_storage            39561  1 
lsmod: sg                     18744  0 
lsmod: sr_mod                 12602  0 
lsmod: cdrom                  29415  1 sr_mod
lsmod: uhci_hcd               18521  0 
lsmod: mptsas                 29188  2 
lsmod: mptscsih               16328  1 mptsas
lsmod: ahci                   32358  0 
lsmod: mptbase                48366  2 mptsas,mptscsih
lsmod: libata                133616  1 ahci
lsmod: scsi_transport_sas     19865  1 mptsas
lsmod: scsi_mod              122117  8 sd_mod,usb_storage,sg,sr_mod,mptsas,mptscsih,libata,scsi_transport_sas
lsmod: thermal                11674  0 
lsmod: thermal_sys            11942  2 fan,thermal
lsmod: evdev                   7352  3 
lsmod: ehci_hcd               31135  0 
lsmod: psmouse                49777  0 
lsmod: parport_pc             18855  0 
lsmod: parport                27954  1 parport_pc
lsmod: usbcore               121938  5 usbhid,usb_storage,uhci_hcd,ehci_hcd
lsmod: nls_base                6377  10 hfsplus,hfs,ntfs,jfs,nls_utf8,nls_cp437,isofs,vfat,fat,usbcore
df: Filesystem           1K-blocks      Used Available Use% Mounted on
df: tmpfs                  4066232        84   4066148   0% /dev
df: /dev/sda                244476    193908     50568  79% /hd-media
df: /dev/loop0              168738    168738         0 100% /cdrom
df: /dev/sdb1            560031360   2678176 551663596   0% /target
df: /dev/sdb1            560031360   2678176 551663596   0% /dev/.static/dev
df: tmpfs                  4066232        84   4066148   0% /target/dev
df: /dev/loop0              168738    168738         0 100% /target/media/cdrom0
free:               total         used         free       shared      buffers
free:   Mem:      8132464      3058720      5073744            0         3564
free:  Swap:     15881208            0     15881208
free: Total:     24013672      3058720     20954952
/proc/cmdline: video=vesa:ywrap,mtrr vga=788 initrd=initrdg.gz -- quiet netcfg/dchp_timeout=100 desktop=xfce4 BOOT_IMAGE=linux 
/proc/cpuinfo: processor	: 0
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 23
/proc/cpuinfo: model name	: Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
/proc/cpuinfo: stepping	: 10
/proc/cpuinfo: cpu MHz		: 2825.978
/proc/cpuinfo: cache size	: 6144 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 4
/proc/cpuinfo: core id		: 0
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 0
/proc/cpuinfo: initial apicid	: 0
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 13
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm tpr_shadow vnmi flexpriority
/proc/cpuinfo: bogomips	: 5651.95
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 1
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 23
/proc/cpuinfo: model name	: Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
/proc/cpuinfo: stepping	: 10
/proc/cpuinfo: cpu MHz		: 2825.978
/proc/cpuinfo: cache size	: 6144 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 4
/proc/cpuinfo: core id		: 1
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 1
/proc/cpuinfo: initial apicid	: 1
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 13
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm tpr_shadow vnmi flexpriority
/proc/cpuinfo: bogomips	: 5652.40
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 2
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 23
/proc/cpuinfo: model name	: Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
/proc/cpuinfo: stepping	: 10
/proc/cpuinfo: cpu MHz		: 2825.978
/proc/cpuinfo: cache size	: 6144 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 4
/proc/cpuinfo: core id		: 2
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 2
/proc/cpuinfo: initial apicid	: 2
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 13
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm tpr_shadow vnmi flexpriority
/proc/cpuinfo: bogomips	: 5652.42
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 3
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 23
/proc/cpuinfo: model name	: Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
/proc/cpuinfo: stepping	: 10
/proc/cpuinfo: cpu MHz		: 2825.978
/proc/cpuinfo: cache size	: 6144 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 4
/proc/cpuinfo: core id		: 3
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 3
/proc/cpuinfo: initial apicid	: 3
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 13
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm tpr_shadow vnmi flexpriority
/proc/cpuinfo: bogomips	: 5652.42
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/ioports: 0000-001f : dma1
/proc/ioports: 0020-0021 : pic1
/proc/ioports: 0040-0043 : timer0
/proc/ioports: 0050-0053 : timer1
/proc/ioports: 0060-0060 : keyboard
/proc/ioports: 0064-0064 : keyboard
/proc/ioports: 0070-007f : rtc0
/proc/ioports: 0080-008f : dma page reg
/proc/ioports: 00a0-00a1 : pic2
/proc/ioports: 00c0-00df : dma2
/proc/ioports: 00f0-00ff : fpu
/proc/ioports: 0378-037a : parport0
/proc/ioports: 03c0-03df : vesafb
/proc/ioports: 03f8-03ff : serial
/proc/ioports: 0800-087f : 0000:00:1f.0
/proc/ioports:   0800-0803 : ACPI PM1a_EVT_BLK
/proc/ioports:   0804-0805 : ACPI PM1a_CNT_BLK
/proc/ioports:   0808-080b : ACPI PM_TMR
/proc/ioports:   0820-082f : ACPI GPE0_BLK
/proc/ioports: 0880-08bf : 0000:00:1f.0
/proc/ioports: 0c00-0c7f : pnp 00:01
/proc/ioports: 0cf8-0cff : PCI conf1
/proc/ioports: 1000-1fff : PCI Bus 0000:04
/proc/ioports: c000-cfff : PCI Bus 0000:03
/proc/ioports:   cc00-ccff : 0000:03:00.0
/proc/ioports: d000-dfff : PCI Bus 0000:01
/proc/ioports:   dc80-dcff : 0000:01:00.0
/proc/ioports: ecc0-ecdf : 0000:00:1a.2
/proc/ioports:   ecc0-ecdf : uhci_hcd
/proc/ioports: ece0-ecff : 0000:00:1f.3
/proc/ioports: fe00-fe07 : 0000:00:1f.2
/proc/ioports:   fe00-fe07 : ahci
/proc/ioports: fe10-fe13 : 0000:00:1f.2
/proc/ioports:   fe10-fe13 : ahci
/proc/ioports: fe20-fe27 : 0000:00:1f.2
/proc/ioports:   fe20-fe27 : ahci
/proc/ioports: fe30-fe33 : 0000:00:1f.2
/proc/ioports:   fe30-fe33 : ahci
/proc/ioports: fec0-fedf : 0000:00:1f.2
/proc/ioports:   fec0-fedf : ahci
/proc/ioports: ff00-ff1f : 0000:00:1a.1
/proc/ioports:   ff00-ff1f : uhci_hcd
/proc/ioports: ff20-ff3f : 0000:00:1a.0
/proc/ioports:   ff20-ff3f : uhci_hcd
/proc/ioports: ff40-ff5f : 0000:00:1d.2
/proc/ioports:   ff40-ff5f : uhci_hcd
/proc/ioports: ff60-ff7f : 0000:00:1d.1
/proc/ioports:   ff60-ff7f : uhci_hcd
/proc/ioports: ff80-ff9f : 0000:00:1d.0
/proc/ioports:   ff80-ff9f : uhci_hcd
/proc/iomem: 00000000-0009dbff : System RAM
/proc/iomem: 0009dc00-0009ffff : RAM buffer
/proc/iomem: 000f0000-000fffff : reserved
/proc/iomem: 00100000-bfe01bff : System RAM
/proc/iomem:   01000000-01301144 : Kernel code
/proc/iomem:   01301145-014dac2f : Kernel data
/proc/iomem:   01577000-01688413 : Kernel bss
/proc/iomem: bfe01c00-bfe53bff : ACPI Non-volatile Storage
/proc/iomem: bfe53c00-bfe55bff : ACPI Tables
/proc/iomem: bfe55c00-bfffffff : reserved
/proc/iomem: c0000000-c01fffff : PCI Bus 0000:03
/proc/iomem: c0200000-c03fffff : PCI Bus 0000:04
/proc/iomem: d0000000-dfffffff : PCI Bus 0000:01
/proc/iomem:   d0000000-dfffffff : 0000:01:00.0
/proc/iomem: e0000000-efffffff : PCI MMCONFIG 0 [00-ff]
/proc/iomem:   e0000000-efffffff : reserved
/proc/iomem: f9d00000-f9dfffff : PCI Bus 0000:04
/proc/iomem:   f9df0000-f9dfffff : 0000:04:00.0
/proc/iomem:     f9df0000-f9dfffff : tg3
/proc/iomem: f9e00000-f9ffffff : PCI Bus 0000:03
/proc/iomem:   f9eec000-f9eeffff : 0000:03:00.0
/proc/iomem:     f9eec000-f9eeffff : mpt
/proc/iomem:   f9ef0000-f9efffff : 0000:03:00.0
/proc/iomem:     f9ef0000-f9efffff : mpt
/proc/iomem:   f9f00000-f9ffffff : 0000:03:00.0
/proc/iomem: fa000000-fdefffff : PCI Bus 0000:01
/proc/iomem:   fa000000-fbffffff : 0000:01:00.0
/proc/iomem:     fb000000-fbdfffff : vesafb
/proc/iomem:   fc000000-fcffffff : 0000:01:00.0
/proc/iomem:   fde00000-fde1ffff : 0000:01:00.0
/proc/iomem: fdffbb00-fdffbbff : 0000:00:1f.3
/proc/iomem: fdffbc00-fdffbfff : 0000:00:1a.7
/proc/iomem:   fdffbc00-fdffbfff : ehci_hcd
/proc/iomem: fdffc000-fdffffff : 0000:00:1b.0
/proc/iomem: fec00000-fed003ff : reserved
/proc/iomem:   fec00000-fec00fff : IOAPIC 0
/proc/iomem:   fed00000-fed003ff : HPET 0
/proc/iomem: fed20000-fed9ffff : reserved
/proc/iomem: fee00000-feefffff : reserved
/proc/iomem:   fee00000-fee00fff : Local APIC
/proc/iomem: ff970000-ff9707ff : 0000:00:1f.2
/proc/iomem:   ff970000-ff9707ff : ahci
/proc/iomem: ff980800-ff980bff : 0000:00:1d.7
/proc/iomem:   ff980800-ff980bff : ehci_hcd
/proc/iomem: ffb00000-ffffffff : reserved
/proc/iomem: 100000000-23bffffff : System RAM
/proc/interrupts:            CPU0       CPU1       CPU2       CPU3       
/proc/interrupts:   0:         67          3          1          2   IO-APIC-edge      timer
/proc/interrupts:   1:          1          0          1          0   IO-APIC-edge      i8042
/proc/interrupts:   4:          0          0          1          1   IO-APIC-edge    
/proc/interrupts:   7:          0          0          0          0   IO-APIC-edge      parport0
/proc/interrupts:   8:          8         10          8          8   IO-APIC-edge      rtc0
/proc/interrupts:   9:          0          0          0          0   IO-APIC-fasteoi   acpi
/proc/interrupts:  12:          1          1          0          2   IO-APIC-edge      i8042
/proc/interrupts:  16:      64250      64236      64295      64234   IO-APIC-fasteoi   uhci_hcd:usb3, ioc0
/proc/interrupts:  17:        731        736        738        743   IO-APIC-fasteoi   uhci_hcd:usb4, uhci_hcd:usb7
/proc/interrupts:  18:          0          0          0          0   IO-APIC-fasteoi   uhci_hcd:usb8
/proc/interrupts:  22:       2296       2312       2295       2300   IO-APIC-fasteoi   ehci_hcd:usb1, uhci_hcd:usb5
/proc/interrupts:  23:          0          0          1          2   IO-APIC-fasteoi   ehci_hcd:usb2, uhci_hcd:usb6
/proc/interrupts:  28:         63         74         63         64   PCI-MSI-edge      ahci
/proc/interrupts:  29:     126481     126461     126427     126476   PCI-MSI-edge      eth0
/proc/interrupts: NMI:          0          0          0          0   Non-maskable interrupts
/proc/interrupts: LOC:     303984     248452     267457     237705   Local timer interrupts
/proc/interrupts: SPU:          0          0          0          0   Spurious interrupts
/proc/interrupts: PMI:          0          0          0          0   Performance monitoring interrupts
/proc/interrupts: PND:          0          0          0          0   Performance pending work
/proc/interrupts: RES:       3068       2994       2384       1843   Rescheduling interrupts
/proc/interrupts: CAL:      77708        244      49044        331   Function call interrupts
/proc/interrupts: TLB:      10215      26608       9350      25335   TLB shootdowns
/proc/interrupts: TRM:          0          0          0          0   Thermal event interrupts
/proc/interrupts: THR:          0          0          0          0   Threshold APIC interrupts
/proc/interrupts: MCE:          0          0          0          0   Machine check exceptions
/proc/interrupts: MCP:          7          7          7          7   Machine check polls
/proc/interrupts: ERR:          3
/proc/interrupts: MIS:          0
/proc/meminfo: MemTotal:        8132464 kB
/proc/meminfo: MemFree:         5073740 kB
/proc/meminfo: Buffers:            3564 kB
/proc/meminfo: Cached:          2737560 kB
/proc/meminfo: SwapCached:            0 kB
/proc/meminfo: Active:           615776 kB
/proc/meminfo: Inactive:        2119780 kB
/proc/meminfo: Active(anon):      27796 kB
/proc/meminfo: Inactive(anon):     8236 kB
/proc/meminfo: Active(file):     587980 kB
/proc/meminfo: Inactive(file):  2111544 kB
/proc/meminfo: Unevictable:       41132 kB
/proc/meminfo: Mlocked:               0 kB
/proc/meminfo: SwapTotal:      15881208 kB
/proc/meminfo: SwapFree:       15881208 kB
/proc/meminfo: Dirty:              1040 kB
/proc/meminfo: Writeback:             0 kB
/proc/meminfo: AnonPages:         35668 kB
/proc/meminfo: Mapped:            11340 kB
/proc/meminfo: Shmem:               468 kB
/proc/meminfo: Slab:             231808 kB
/proc/meminfo: SReclaimable:     222488 kB
/proc/meminfo: SUnreclaim:         9320 kB
/proc/meminfo: KernelStack:        1040 kB
/proc/meminfo: PageTables:          996 kB
/proc/meminfo: NFS_Unstable:          0 kB
/proc/meminfo: Bounce:                0 kB
/proc/meminfo: WritebackTmp:          0 kB
/proc/meminfo: CommitLimit:    19947440 kB
/proc/meminfo: Committed_AS:      37428 kB
/proc/meminfo: VmallocTotal:   34359738367 kB
/proc/meminfo: VmallocUsed:      303648 kB
/proc/meminfo: VmallocChunk:   34359430616 kB
/proc/meminfo: HardwareCorrupted:     0 kB
/proc/meminfo: HugePages_Total:       0
/proc/meminfo: HugePages_Free:        0
/proc/meminfo: HugePages_Rsvd:        0
/proc/meminfo: HugePages_Surp:        0
/proc/meminfo: Hugepagesize:       2048 kB
/proc/meminfo: DirectMap4k:        6148 kB
/proc/meminfo: DirectMap2M:     8314880 kB
/proc/bus/input/devices: I: Bus=0017 Vendor=0001 Product=0001 Version=0100
/proc/bus/input/devices: N: Name="Macintosh mouse button emulation"
/proc/bus/input/devices: P: Phys=
/proc/bus/input/devices: S: Sysfs=/devices/virtual/input/input0
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse0 event0 
/proc/bus/input/devices: B: EV=7
/proc/bus/input/devices: B: KEY=70000 0 0 0 0
/proc/bus/input/devices: B: REL=3
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=413c Product=2106 Version=0110
/proc/bus/input/devices: N: Name="DELL Dell QuietKey Keyboard"
/proc/bus/input/devices: P: Phys=usb-0000:00:1d.1-1/input0
/proc/bus/input/devices: S: Sysfs=/devices/pci0000:00/0000:00:1d.1/usb7/7-1/7-1:1.0/input/input1
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd event1 
/proc/bus/input/devices: B: EV=120013
/proc/bus/input/devices: B: KEY=1000000000007 ff9f207ac14057ff febeffdfffefffff fffffffffffffffe
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: B: LED=7
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=0461 Product=4d51 Version=0111
/proc/bus/input/devices: N: Name="DELL Laser Mouse"
/proc/bus/input/devices: P: Phys=usb-0000:00:1d.1-2/input0
/proc/bus/input/devices: S: Sysfs=/devices/pci0000:00/0000:00:1d.1/usb7/7-2/7-2:1.0/input/input2
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse1 event2 
/proc/bus/input/devices: B: EV=17
/proc/bus/input/devices: B: KEY=1f0000 0 0 0 0
/proc/bus/input/devices: B: REL=103
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: 
/proc/fb: 0 VESA VGA
dfbinfo: not found

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

installation-report depends on no packages.

Versions of packages installation-report recommends:
ii  pciutils                      1:3.1.7-6  Linux PCI Utilities
ii  reportbug                     4.12.6     reports bugs in the Debian distrib

installation-report suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#605562; Package installation-reports. (Wed, 01 Dec 2010 11:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 01 Dec 2010 11:00:05 GMT) Full text and rfc822 format available.

Message #10 received at 605562@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: 605562-submitter <605562-submitter@bugs.debian.org>, 605562@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#605562: installation-report: Installation from usb stick lead to unbootable system (und unbootable usb stick)
Date: Wed, 01 Dec 2010 11:57:55 +0100
reassign 605562 grub-installer
forcemerge 568529 605562
Thanks

Excerpts from Alexander Reichle-Schmehl's message of Mit Dez 01 11:05:01 +0100 2010:
> Boot method: USB stick
> Image version: beta1 AMD64
> Date: 2010-11-29

> Install boot loader:    [E]
> Overall install:        [E]
> 
> Comments/Problems:
> 
> I booted from usb stick (which was presented as /dev/sda) on a hardware
> raid (/dev/sdb).  After the system was successfully installed, the
> bootloader was installed to the mbr of /dev/sda (the usb stick), not my
> hard disc (/dev/sdb).

Can you please recheck with a current daily image. I believe this
issue is fixed in grub-installer 1.57. See #568529 (and duplicates)
for more information.

It would be nice to have a confirmation from you that the issue is
indeed fixed as it does not happen on all systems and is therefore
quite hard to test. Please reopen the bug if it's not fixed on your
hardware.

Gaudenz

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~




Bug reassigned from package 'installation-reports' to 'grub-installer'. Request was from Gaudenz Steinlin <gaudenz@debian.org> to control@bugs.debian.org. (Wed, 01 Dec 2010 11:00:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.43. Request was from Gaudenz Steinlin <gaudenz@debian.org> to control@bugs.debian.org. (Wed, 01 Dec 2010 11:00:07 GMT) Full text and rfc822 format available.

Forcibly Merged 568529 579519 589823 605562. Request was from Gaudenz Steinlin <gaudenz@debian.org> to control@bugs.debian.org. (Wed, 01 Dec 2010 11:00:10 GMT) Full text and rfc822 format available.

Message sent on to Alexander Reichle-Schmehl <tolimar@debian.org>:
Bug#605562. (Wed, 01 Dec 2010 11:00:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#605562; Package grub-installer. (Wed, 01 Dec 2010 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 01 Dec 2010 11:06:03 GMT) Full text and rfc822 format available.

Message #24 received at 605562@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Gaudenz Steinlin <gaudenz@debian.org>, 605562@bugs.debian.org
Subject: Re: Bug#605562: installation-report: Installation from usb stick lead to unbootable system (und unbootable usb stick)
Date: Wed, 01 Dec 2010 12:04:46 +0100
Hi Gaudenz!

Am 01.12.2010 11:57, schrieb Gaudenz Steinlin:

>> I booted from usb stick (which was presented as /dev/sda) on a hardware
>> raid (/dev/sdb).  After the system was successfully installed, the
>> bootloader was installed to the mbr of /dev/sda (the usb stick), not my
>> hard disc (/dev/sdb).
> Can you please recheck with a current daily image. I believe this
> issue is fixed in grub-installer 1.57. See #568529 (and duplicates)
> for more information.

Is there a way to check that without a doing a new installation?  Will
it do, if I boot into "expert mode" from a daily image, and choose to
install the boot loader?


Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#605562; Package grub-installer. (Wed, 01 Dec 2010 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 01 Dec 2010 14:03:03 GMT) Full text and rfc822 format available.

Message #29 received at 605562@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: Alexander Reichle-Schmehl <tolimar@debian.org>
Cc: 605562 <605562@bugs.debian.org>
Subject: Re: Bug#605562: installation-report: Installation from usb stick lead to unbootable system (und unbootable usb stick)
Date: Wed, 01 Dec 2010 14:59:36 +0100
[Message part 1 (text/plain, inline)]
Excerpts from Alexander Reichle-Schmehl's message of Mit Dez 01 12:04:46 +0100 2010:
> Hi Gaudenz!
> 
> Am 01.12.2010 11:57, schrieb Gaudenz Steinlin:
> 
> >> I booted from usb stick (which was presented as /dev/sda) on a hardware
> >> raid (/dev/sdb).  After the system was successfully installed, the
> >> bootloader was installed to the mbr of /dev/sda (the usb stick), not my
> >> hard disc (/dev/sdb).
> > Can you please recheck with a current daily image. I believe this
> > issue is fixed in grub-installer 1.57. See #568529 (and duplicates)
> > for more information.
> 
> Is there a way to check that without a doing a new installation?  Will
> it do, if I boot into "expert mode" from a daily image, and choose to
> install the boot loader?

You can boot into rescue mode and reinstall grub. But this does not do
100% the same thing as if grub-installer is run during a normal
installation. 

Running expert mode won't help as it does not let you run the
bootloader step before you install the system. If you don't mind
fiddling with the installer state you can boot the installer and
manually set bootstrap base to the configured state, mount the
partitions at the right place and then you should be able to run
grub-installer again.

The most reliable test is to do a complete reinstall to an empty
partition. This would leave your existing installation intact.

Gaudenz
-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#605562; Package grub-installer. (Wed, 01 Dec 2010 14:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 01 Dec 2010 14:27:06 GMT) Full text and rfc822 format available.

Message #34 received at 605562@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Gaudenz Steinlin <gaudenz@debian.org>
Cc: 605562 <605562@bugs.debian.org>
Subject: Re: Bug#605562: installation-report: Installation from usb stick lead to unbootable system (und unbootable usb stick)
Date: Wed, 01 Dec 2010 15:24:04 +0100
Hi!

Am 01.12.2010 14:59, schrieb Gaudenz Steinlin:

> The most reliable test is to do a complete reinstall to an empty
> partition. This would leave your existing installation intact.

Okay, I'll try to do that tomorrow, when I got a new disc.


Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#605562; Package grub-installer. (Thu, 02 Dec 2010 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 02 Dec 2010 10:39:03 GMT) Full text and rfc822 format available.

Message #39 received at 605562@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Gaudenz Steinlin <gaudenz@debian.org>, 605562@bugs.debian.org
Subject: Re: Bug#605562: installation-report: Installation from usb stick lead to unbootable system (und unbootable usb stick)
Date: Thu, 2 Dec 2010 11:36:19 +0100
[Message part 1 (text/plain, inline)]
reopen 605562
severity 605562 important
thanks

Hi again!

* Gaudenz Steinlin <gaudenz@debian.org> [101201 11:57]:

> > I booted from usb stick (which was presented as /dev/sda) on a hardware
> > raid (/dev/sdb).  After the system was successfully installed, the
> > bootloader was installed to the mbr of /dev/sda (the usb stick), not my
> > hard disc (/dev/sdb).
> Can you please recheck with a current daily image. I believe this
> issue is fixed in grub-installer 1.57. See #568529 (and duplicates)
> for more information.
> 
> It would be nice to have a confirmation from you that the issue is
> indeed fixed as it does not happen on all systems and is therefore
> quite hard to test. Please reopen the bug if it's not fixed on your
> hardware.

I' sorry, but the problem still remains.

I tested with and usb installation using 
http://d-i.debian.org/daily-images/amd64/daily/hd-media/boot.img.gz
(dated 02-Dec-2010 00:22)
and 
http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/amd64/iso-cd/debian-testing-amd64-netinst.iso
(dated 01-Dec-2010 03:01)

I also looked ant the iso image, it does contain grub-installer_1.57,
however, grub is still installed on my usb-stick (/dev/sda) not on the
hard disk (which is now /dev/sdd; it seems the linux kernel now also
sees the real hard drives, not the hardware raid).

I saved the contents of /var/log/installer after the installation, but
need to recover mu original system for now to do some work.  I can put
them online in couple of minutes.  If there's anything I can do to help
/ you need to know, please let me know.

Best Regards,
  Alexander


PS:  Thinking about it... severity serious might be to high, as only
certain systems seem to be affected; at least I couldn't reproduce the
problem with on other system.

[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as fixed in versions grub-installer/1.57 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Dec 2010 10:39:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'critical' Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Thu, 02 Dec 2010 10:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#605562; Package grub-installer. (Fri, 03 Dec 2010 09:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 03 Dec 2010 09:24:05 GMT) Full text and rfc822 format available.

Message #48 received at 605562@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 605562@bugs.debian.org
Subject: Re: Bug#605562: installation-report: Installation from usb stick lead to unbootable system (und unbootable usb stick)
Date: Fri, 03 Dec 2010 10:20:32 +0100
Hi!

Am 02.12.2010 11:36, schrieb Alexander Reichle-Schmehl:

> I saved the contents of /var/log/installer after the installation, but
> need to recover mu original system for now to do some work.

Ähh... Sorry.  It seems it wasn't a good idea to tar /var/log/installer
to /tmp.  So I don't have the logs from my attempt with the daily
installer, but I still have the ones from the installation with beta-1.

I think I can also try to reproduce it on a similar machine whenever you
want me to test something without much delay.


Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#605562; Package grub-installer. (Fri, 17 Dec 2010 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ferenc Wagner <wferi@niif.hu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 17 Dec 2010 16:39:03 GMT) Full text and rfc822 format available.

Message #53 received at 605562@bugs.debian.org (full text, mbox):

From: Ferenc Wagner <wferi@niif.hu>
To: Alexander Reichle-Schmehl <tolimar@debian.org>
Cc: 605562@bugs.debian.org
Subject: Re: Bug#605562: installation-report: Installation from usb stick lead to unbootable system (und unbootable usb stick)
Date: Fri, 17 Dec 2010 17:36:20 +0100
Alexander Reichle-Schmehl <tolimar@debian.org> writes:

> Am 02.12.2010 11:36, schrieb Alexander Reichle-Schmehl:
>
>> I saved the contents of /var/log/installer after the installation, but
>> need to recover mu original system for now to do some work.
>
> Ähh... Sorry.  It seems it wasn't a good idea to tar /var/log/installer
> to /tmp.  So I don't have the logs from my attempt with the daily
> installer, but I still have the ones from the installation with beta-1.
>
> I think I can also try to reproduce it on a similar machine whenever you
> want me to test something without much delay.

Hi Alexander,

Could you please retest with a beta-2 image, just to make sure that the
issue is still present?  And please keep the logs this time! :)
-- 
Thanks,
Feri.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#605562; Package grub-installer. (Fri, 17 Dec 2010 19:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 17 Dec 2010 19:30:04 GMT) Full text and rfc822 format available.

Message #58 received at 605562@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Ferenc Wagner <wferi@niif.hu>, 605562@bugs.debian.org
Subject: Re: Bug#605562: installation-report: Installation from usb stick lead to unbootable system (und unbootable usb stick)
Date: Fri, 17 Dec 2010 20:27:44 +0100
Hi!

* Ferenc Wagner <wferi@niif.hu> [101217 17:36]:
> >> I saved the contents of /var/log/installer after the installation, but
> >> need to recover mu original system for now to do some work.
> >
> > Ähh... Sorry.  It seems it wasn't a good idea to tar /var/log/installer
> > to /tmp.  So I don't have the logs from my attempt with the daily
> > installer, but I still have the ones from the installation with beta-1.
> >
> > I think I can also try to reproduce it on a similar machine whenever you
> > want me to test something without much delay.
> Could you please retest with a beta-2 image, just to make sure that the
> issue is still present?  And please keep the logs this time! :)

It's on my todo list.  Hopefully I'll have the time on monday or
tuesday.


Best Regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#605562; Package grub-installer. (Mon, 27 Dec 2010 09:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to joachimSl@gmx.de:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 27 Dec 2010 09:45:05 GMT) Full text and rfc822 format available.

Message #63 received at 605562@bugs.debian.org (full text, mbox):

From: joachimSl@gmx.de
To: 605562@bugs.debian.org, wferi@niif.hu, gaudenz@debian.org
Subject: Re: Bug#605562: installation-report: Installation from usb stick lead to unbootable system (und unbootable usb stick)
Date: Mon, 27 Dec 2010 10:44:01 +0100
[Message part 1 (text/plain, inline)]
Hi Gaudenz and Ferenc,
I tried to install with beta2 installer and ran into the same problem:

Grub was installed on the USB stick (/dev/sda) and the system was unbootable. And the rescue system on the stick un-bootable as well :-(

Atteched is the complete installation log. 

with grub-mkdevicemap --no-floppy -m -
I get the following output (the first one is the hard drive)
(hd0)	/dev/disk/by-id/ata-SAMSUNG_SV3002H_0349J1CR940687
(hd1)	/dev/disk/by-id/usb-SanDisk_Cruzer_Blade_20053349610A41A2F01B-0:0

I indeed think, this bug is release-critical, since the package and thus the complete system is unusable after beeing told by the installer "the installation was  successful". It's really annoying to repair the bootloader by hand before the new system can be started.

Best regards,
  Joachim

-- 
Empfehlen Sie GMX DSL Ihren Freunden und Bekannten und wir
belohnen Sie mit bis zu 100,- Euro! https://freundschaftswerbung.gmx.de
[installer-log.tar (application/x-tar, attachment)]

Merged 568529 579519 589823 604992 605562. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Fri, 31 Dec 2010 10:31:17 GMT) Full text and rfc822 format available.

Bug Marked as found in versions grub-installer/1.57. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Fri, 31 Dec 2010 10:31:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#605562; Package grub-installer. (Mon, 03 Jan 2011 13:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Schleicher <joachim@dormettingen.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 03 Jan 2011 13:33:04 GMT) Full text and rfc822 format available.

Message #72 received at 605562@bugs.debian.org (full text, mbox):

From: Joachim Schleicher <joachim@dormettingen.de>
To: 605562@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#605562: installation-report: Installation from usb stick lead, to unbootable system (und unbootable usb stick)
Date: Mon, 03 Jan 2011 14:06:19 +0100
severity 568529 serious
tags 568529 - moreinfo
thanks

Hello,
now we have five different people reporting that bug. Most of them set a severity of serious or above.
Therefore I increased the severity: Makes package unfit for release in my opinion.

Some more additional information from the installer environment; I ran a shell before installing grub
(Expert install; another empty hard-drive as in the report above):
<ash>
BusyBox v1.17.1 (Debian 1:1.17.1-8) built-in shell (ash)
Enter 'help' for a list of built-in commands.

~ # mount
rootfs on / type rootfs (rw)
none on /proc type proc (rw,relatime)
none on /sys type sysfs (rw,relatime)
tmpfs on /dev type tmpfs (rw,relatime,mode=755)
none on /dev/prs type devpts (rw,relatim,gid=5,mode=620,ptmxmode=000)
/dev/sda1 on /hd-media type vfat 
(ro,relatime,fmask=0022,dmask=0022,codepage=cp437,iocharset=utf8,shotname=mixed,errors=remount-ro)
/dev/loop0 on /cdrom type iso9660 (ro,relatime)
/dev/sdb1 on /target type ext3 (rw,relatime,errors=remount-ro,data=ordered)
/dev/sdb6 on /target/home type ext3 (rw, relatime,errors=continue,data=ordered)
/dev/sdb1 on /dev/.static/dev type ext3 (rw,relatime,errors=remount-ro,data=ordered)
tmpfs on /target/dev/ type tmpfs (rw,relatime,mode=755)
/dev/loop0 on /target/media/cdrom0 type iso9660 (ro,relatime)

~ # chroot /target grub-mkdevicemap --no-floppy -m -
(hd0)	/dev/disk/by-id/usb-SanDisk_Cruzer_Blade_20053349610A41A2F01B-0:0
(hd1)	/dev/disk/by-id/ata-FUJITSU_M1623TAU_08316741

~ # readlink -f $(chroot /target grub-mkdevicemap --no-floppy -m - | head -n1 | cut -f2)
/dev/sda
<ash>

Do you need addional information?

My interpretation (grub-installer Line 538-570):
grub-installer uses the first device and double-checks that this is not /cdrom.
But that check is false, because /cdrom is /dev/loop0.
We should additionally check the "device-to-disk()" of /hd-media in the same manner as /cdrom.
That would install grub on the right device. Is it a problem when after reboot at an update the usb-stick is 
no longer present and the hard drive is named /dev/sda then?
What do you think?

Best Regards
Joachim




Severity set to 'serious' from 'important' Request was from Joachim Schleicher <joachim@dormettingen.de> to control@bugs.debian.org. (Mon, 03 Jan 2011 13:33:08 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Joachim Schleicher <joachim@dormettingen.de> to control@bugs.debian.org. (Mon, 03 Jan 2011 13:33:11 GMT) Full text and rfc822 format available.

Merged 568529 579519 589823 603942 604992 605562. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Mon, 03 Jan 2011 13:57:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#605562; Package grub-installer. (Tue, 11 Jan 2011 11:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 11:45:02 GMT) Full text and rfc822 format available.

Message #83 received at 605562@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Joachim Schleicher <joachim@dormettingen.de>, 605562@bugs.debian.org
Subject: Re: Bug#605562: installation-report: Installation from usb stick lead, to unbootable system (und unbootable usb stick)
Date: Tue, 11 Jan 2011 12:44:07 +0100
Hi!

* Joachim Schleicher <joachim@dormettingen.de> [110103 14:06]:

> ~ # chroot /target grub-mkdevicemap --no-floppy -m -
> (hd0)	/dev/disk/by-id/usb-SanDisk_Cruzer_Blade_20053349610A41A2F01B-0:0
> (hd1)	/dev/disk/by-id/ata-FUJITSU_M1623TAU_08316741
>
> ~ # readlink -f $(chroot /target grub-mkdevicemap --no-floppy -m - | head -n1 | cut -f2)
> /dev/sda
> <ash>

I finally found the time to play a bit with my system here.  The bad
news is, that I can still reproduce this bug with the rc1 images.
However, on a first glance it seems that Joachim is right.

Currently I have the following:

$ sudo grub-mkdevicemap --no-floppy -m -
(hd0)   /dev/disk/by-id/ata-WDC_WD360GD-00FNA0_WD-WMAH91382658
(hd1)   /dev/disk/by-id/usb-SanDisk_Cruzer_Micro_200445276207662139DB-0:0
(hd2)   /dev/disk/by-id/scsi-3600508e000000000a28c3e222acc010b


(hd1) is the usb-stick I used to boot, (hd0) a normal sata disk (I
pluged that in for additional testing after my bug report) and
(hd2) my actual disc (a "dell virtual disc" from an mpt hardware raid
controller if that matters).

As said I played a bit, regardless of the way I boot from usb-stick
(new "isohybrid dd"-way or old fashioned "zcat mount copy iso"-way) and
installation target, grub always got installed into (hd0)  (while it got
installed on the usb-stick during my first installation).


For reference the readlink command always said /dev/sda, independend of
the usb-stick being pluged in or not, while without the stick being
present, I got the following for the grub-mkdevicemap:

$ sudo grub-mkdevicemap --no-floppy -m -
(hd0)   /dev/disk/by-id/ata-WDC_WD360GD-00FNA0_WD-WMAH91382658
(hd1)   /dev/disk/by-id/scsi-3600508e000000000a28c3e222acc010b


Best Regards,
  Alexander




Bug Marked as found in versions grub-installer/1.58. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Tue, 11 Jan 2011 12:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#605562; Package grub-installer. (Tue, 11 Jan 2011 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 16:57:03 GMT) Full text and rfc822 format available.

Message #90 received at 605562@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 605562@bugs.debian.org
Cc: Alexander Reichle-Schmehl <tolimar@debian.org>, Colin Watson <cjwatson@debian.org>, Joachim Schleicher <joachim@dormettingen.de>, Julien Cristau <jcristau@debian.org>
Subject: [PATCH] Second try at fixing bug#605562 (installing the boot loader to the wrong device)
Date: Tue, 11 Jan 2011 17:55:52 +0100
Amend changes from 1.57: call device_to_disk on the device mounted as
cdrom.  Booting from a disk or usb device, that may end up being
/dev/sda1 instead of /dev/sda, defeating the "we shouldn't install GRUB
to the installation device" test.
Many thanks to Alexander Reichle-Schmehl and Michael Tokarev for the
tests.

Signed-off-by: Julien Cristau <jcristau@debian.org>
---
 debian/changelog |    9 +++++++++
 grub-installer   |    2 +-
 2 files changed, 10 insertions(+), 1 deletions(-)

Tolimar's syslog at http://www.schmehl.info/tmp/d-i-bug/syslog shows
cdsrc=/dev/sda1 and default_bootdev=/dev/sda.

Joachim's issue seems to be a different one, with the stick (sda1)
mounted on /hd-media, and /cdrom mounted from a loop device.  Maybe the
tests for /cdrom need to be duplicated for /hd-media?

diff --git a/debian/changelog b/debian/changelog
index 59079ef..be29b6d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+grub-installer (1.59) UNRELEASED; urgency=low
+
+  * Amend changes from 1.57: call device_to_disk on the device mounted as
+    cdrom.  Booting from a disk or usb device, that may end up being
+    /dev/sda1 instead of /dev/sda, defeating the "we shouldn't install GRUB to
+    the installation device" test.
+
+ -- Julien Cristau <jcristau@debian.org>  Tue, 11 Jan 2011 17:41:21 +0100
+
 grub-installer (1.58) unstable; urgency=low
 
   [ Christian Perrier ]
diff --git a/grub-installer b/grub-installer
index 463ebdf..13e9f8a 100755
--- a/grub-installer
+++ b/grub-installer
@@ -554,7 +554,7 @@ hybrid=false
 if db_get cdrom-detect/hybrid; then
 	hybrid="$RET"
 fi
-if [ "$cdsrc" = "$default_bootdev" ] || \
+if [ "$(device_to_disk $cdsrc)" = "$default_bootdev" ] || \
    ([ "$default_bootdev" = '(hd0)' ] && \
     (([ -n "$cdfs" ] && [ "$cdfs" != "iso9660" ]) || \
      [ "$hybrid" = true ])); then
-- 
1.7.2.3





Merged 568529 579519 589823 603942 604992 605562 609722. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Fri, 14 Jan 2011 17:39:17 GMT) Full text and rfc822 format available.

Forcibly Merged 568529 579519 589823 603942 604992 605562 609314 609722. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 13:27:12 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@ossystems.com.br>:
You have taken responsibility. (Sat, 15 Jan 2011 19:06:17 GMT) Full text and rfc822 format available.

Notification sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Bug acknowledged by developer. (Sat, 15 Jan 2011 19:06:17 GMT) Full text and rfc822 format available.

Message #99 received at 605562-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: 605562-close@bugs.debian.org
Subject: Bug#605562: fixed in grub-installer 1.59
Date: Sat, 15 Jan 2011 19:03:15 +0000
Source: grub-installer
Source-Version: 1.59

We believe that the bug you reported is fixed in the latest version of
grub-installer, which is due to be installed in the Debian FTP archive:

grub-installer_1.59.dsc
  to main/g/grub-installer/grub-installer_1.59.dsc
grub-installer_1.59.tar.gz
  to main/g/grub-installer/grub-installer_1.59.tar.gz
grub-installer_1.59_amd64.udeb
  to main/g/grub-installer/grub-installer_1.59_amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605562@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@ossystems.com.br> (supplier of updated grub-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 15 Jan 2011 16:49:51 -0200
Source: grub-installer
Binary: grub-installer
Architecture: source amd64
Version: 1.59
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@ossystems.com.br>
Description: 
 grub-installer - Install GRUB on a hard disk (udeb)
Closes: 605562
Changes: 
 grub-installer (1.59) unstable; urgency=low
 .
   [ Julien Cristau ]
   * Amend changes from 1.57: call device_to_disk on the device mounted as
     cdrom.  Booting from a disk or usb device, that may end up being
     /dev/sda1 instead of /dev/sda, defeating the "we shouldn't install GRUB to
     the installation media" test.  In addition, avoid installing GRUB to the
     device mounted on /hd-media.  Closes: #605562.
 .
   [ Updated translations ]
   * Northern Sami (se.po) by Børre Gaup
Checksums-Sha1: 
 410174a0b3ce9094de64fe152a56423c9329eaba 1663 grub-installer_1.59.dsc
 55768f23420305cbdb95cee6f41b828303533145 178955 grub-installer_1.59.tar.gz
 37bf4acd8c5cf004fc8e173ed295060d0695d3d3 167140 grub-installer_1.59_amd64.udeb
Checksums-Sha256: 
 5b507c33f125c273692ef3a2590bcd957baa3c320b1b5efc5d164cd3278b17d2 1663 grub-installer_1.59.dsc
 801b996e994edf780db3dd83907708f1515b60f25c09bab748f3f411d207d088 178955 grub-installer_1.59.tar.gz
 4026e899567458d91ae51378ef7c3bd0f33990f65e9640830b560a9a84821759 167140 grub-installer_1.59_amd64.udeb
Files: 
 ae92bfd78debae1b4cc9365045f520e0 1663 debian-installer standard grub-installer_1.59.dsc
 98bde5a4396d4047ce896adcd439a79f 178955 debian-installer standard grub-installer_1.59.tar.gz
 2cd56a9123349c13a77ed642f68d3979 167140 debian-installer standard grub-installer_1.59_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNMexkAAoJEOtw/vPN/G5PWxIP/A88L1F+BFcaE6zrQIAa6uLm
T5KnbYU7nOTYbctBSinvH1VyGMzLHNB4vPr4T3nzyO2TDvsc92GmpJUU//LSDIFD
63dh16ioGB58xyv9/2+cNDUiLDf9zoerkwRWtVrrS4jYxzgl5CDPNUv00OApJH3a
xf6mxkzqvw/Qlf9XkQO4TGlB1IaUna7g6Wvtm2Jb/45ulgZLaFXGV0Ftv8tmFyS9
coBTGonotdZ5WgRdLvNbnRZIRX6v+pW6r6Adiu+nXWQ75CV5mFGuAnbesbBuwv+7
Rd/wyA7ZKdKjVHOStUEmrGAm0hk1VklNg45WW10R+uDQITApI6472TLG4kg9MeQy
Q8PiMBfgSZ0AJKml1omk9YDo3PvCyuqqV2u9x8CqPr4CAjrNDHzg0eMJ/fE0GSjR
kP4kZ/XcJzC1UXuH+DlP3s6OjssWqQhqZ3JrQM44mRK6w/hyD4WuzXJo0cgnl9SV
wQw7H1kRAmhAhYGT9BctYIqXCCVaplGZIqVR8FzV0yHCFHTInpSDfz/dotqu1NuB
IMBlam1UVR2MAOZ7OCJ6ug42zAlFA0B4AN3688PyuelLGWC9eawNlt9TLkd3MzCJ
dzxRihRsbZqEWexI1Zg4puY+zrUM+4EjAVc5WrJii2zCfIh5lMgyywx/0jIRRkz2
GD5RQTJd48Z5RtDvwTcJ
=7aFf
-----END PGP SIGNATURE-----





Reply sent to Otavio Salvador <otavio@ossystems.com.br>:
You have taken responsibility. (Sat, 15 Jan 2011 19:06:18 GMT) Full text and rfc822 format available.

Notification sent to Piotr Lewandowski <piotr.lewandowski@gmail.com>:
Bug acknowledged by developer. (Sat, 15 Jan 2011 19:06:18 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@ossystems.com.br>:
You have taken responsibility. (Sat, 15 Jan 2011 19:06:19 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Sat, 15 Jan 2011 19:06:19 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@ossystems.com.br>:
You have taken responsibility. (Sat, 15 Jan 2011 19:06:19 GMT) Full text and rfc822 format available.

Notification sent to Bernd Zeimetz <bzed@debian.org>:
Bug acknowledged by developer. (Sat, 15 Jan 2011 19:06:19 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@ossystems.com.br>:
You have taken responsibility. (Sat, 15 Jan 2011 19:06:20 GMT) Full text and rfc822 format available.

Notification sent to Daniel Anderberg <danieljo@fagotten.org>:
Bug acknowledged by developer. (Sat, 15 Jan 2011 19:06:20 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@ossystems.com.br>:
You have taken responsibility. (Sat, 15 Jan 2011 19:06:21 GMT) Full text and rfc822 format available.

Notification sent to Duane Paulson <duane_paulson@yahoo.com>:
Bug acknowledged by developer. (Sat, 15 Jan 2011 19:06:21 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@ossystems.com.br>:
You have taken responsibility. (Sat, 15 Jan 2011 19:06:22 GMT) Full text and rfc822 format available.

Notification sent to Volker Theile <votdev@gmx.de>:
Bug acknowledged by developer. (Sat, 15 Jan 2011 19:06:22 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@ossystems.com.br>:
You have taken responsibility. (Sat, 15 Jan 2011 19:06:23 GMT) Full text and rfc822 format available.

Notification sent to Rainer Dorsch <rdorsch@web.de>:
Bug acknowledged by developer. (Sat, 15 Jan 2011 19:06:23 GMT) Full text and rfc822 format available.

Disconnected #609722 from all other report(s). Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 19:45:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Aug 2011 07:36:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:16:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.